// gnome.xonotic.in.ua

models/mapobjects/timlamp/timlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/timlamp/timlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/pimodels/pirock
{
	q3map_forcemeta
	q3map_nonplanar
	q3map_lightmapsampleoffset 8
	q3map_shadeangle 359
	q3map_splotchfix
	{
		map $lightmap
		tcgen lightmap
	}
	q3map_stylemarker
	{
		map models/pimodels/pirock.tga
		blendfunc filter
	}
}

textures/ad_content/2x1
{
	qer_editorimage textures/ad_content/ad2x1.tga
	nopicmip
	{
		map textures/ad_content/ad2x1.tga
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/base_floor/clangdark
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/clangdark.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/base_floor/proto_rustygrate_pi
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	qer_editorimage textures/base_floor/proto_rustygrate.tga
	nopicmip
	{
		map textures/base_floor/proto_rustygrate.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/common/full_clip
{
	qer_editorimage textures/common/full_clip.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/modelclip
{
	qer_editorimage textures/common/modelclip.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
	qer_trans 0.5
	q3map_clipmodel
	{
		map textures/common/modelclip.tga
		blendfunc filter
	}
}

textures/common/nodraw
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_editorimage textures/common/weapclip.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/gothic_block/evil_e3bwindow
{
	qer_editorimage textures/gothic_block/windowevil2c_killblock.tga
	q3map_lightimage textures/gothic_block/evil2ckillblockglow.tga
	q3map_surfacelight 200
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_block/windowevil2c_killblock.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_block/evil2ckillblockglow.tga
		blendfunc add
	}
}

textures/gothic_light/ironcrosslt2_10000
{
	qer_editorimage textures/gothic_light/ironcrosslt2.tga
	q3map_lightimage textures/gothic_light/ironcrosslt2.blend.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.blend.tga
		blendfunc add
	}
}

textures/gothic_light/ironcrosslt2_2000
{
	qer_editorimage textures/gothic_light/ironcrosslt2.tga
	q3map_lightimage textures/gothic_light/ironcrosslt2.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.blend.tga
		blendfunc add
	}
}

textures/gothic_light/ironcrosslt2_20000
{
	qer_editorimage textures/gothic_light/ironcrosslt2.tga
	q3map_lightimage textures/gothic_light/ironcrosslt2.blend.tga
	q3map_surfacelight 20000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.blend.tga
		blendfunc add
	}
}

textures/gothic_light/ironcrosslt2_5000
{
	qer_editorimage textures/gothic_light/ironcrosslt2.tga
	q3map_lightimage textures/gothic_light/ironcrosslt2.blend.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.blend.tga
		blendfunc add
	}
}

textures/gothic_light/pentagram_light1_5k
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc add
		rgbgen wave sin .8 .2 0 1
	}
}

textures/gothic_trim/metalsupport4b_trans
{
	qer_editorimage textures/gothic_trim/metalsupport4b.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/metalsupport4b.tga
		rgbgen identity
		blendfunc filter
	}
}

textures/gothic_trim/pitted_rust2_trans
{
	qer_editorimage textures/gothic_trim/pitted_rust2.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/pitted_rust2.tga
		rgbgen identity
		blendfunc filter
	}
}

textures/gothic_trim/pitted_rust3_trans
{
	qer_editorimage textures/gothic_trim/pitted_rust3.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/pitted_rust3.tga
		rgbgen identity
		blendfunc filter
	}
}

textures/liquids/lavahell_2500
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 2500
	cull disable
	tesssize 128
	cull disable
	deformvertexes wave 100 sin 3 2 .1 0.1
	sort 8
	{
		map textures/liquids/lavahell.tga
		tcmod turb 0 .2 0 .1
	}
}

textures/liquids/lavahell_750
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 500
	cull disable
	tesssize 128
	cull disable
	deformvertexes wave 100 sin 3 2 .1 0.1
	sort 8
	{
		map textures/liquids/lavahell.tga
		tcmod turb 0 .2 0 .1
	}
}

textures/liquids/lavahellflat_400
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 400
	tesssize 128
	cull disable
	sort 8
	{
		map textures/liquids/lavahell.tga
		tcmod turb 0 .2 0 .1
	}
}

textures/pi/killblock_pi_trans
{
	qer_editorimage textures/pi/killblock_pi_trans.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/pi/killblock_pi_trans.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/pi/largerblock3b3_trans
{
	qer_editorimage textures/gothic_floor/largerblock3b3.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/gothic_floor/largerblock3b3.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/q3adm02_sky/q3adm02_fog
{
	qer_editorimage textures/q3adm02_sky/env/q3adm02_dn.tga
	qer_trans 0.70
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	q3map_globaltexture
	fogparms ( 0.776471 0.776471 0.776471 ) 1799
}

textures/q3adm02_sky/q3adm02_godray
{
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	deformvertexes autosprite2
	qer_trans 0.70
	{
		map textures/q3adm02_sky/q3adm02_godray.tga
		blendfunc add
		rgbgen identity
	}
}

textures/q3adm02_sky/q3adm02_sky
{
	qer_editorimage textures/q3adm02_sky/env/q3adm02_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	nopicmip
	q3map_globaltexture
	skyparms textures/q3adm02_sky/env/q3adm02 1500 -
	q3map_sunext 1 1 .7 261 -161 60 2 12
	q3map_skylight 125 3
	skyparms env/azlcmb1_bin/eezabad - -
}

textures/q3adm02_sky/q3adm02_skyflare
{
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	deformvertexes autosprite
	qer_trans 0.70
	{
		map textures/q3adm02_sky/q3adm02_skyflare.tga
		blendfunc add
		rgbgen identity
	}
}

textures/q3adm02_sky/q3adm02_skylight1
{
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	qer_trans 0.70
	{
		map textures/q3adm02_sky/q3adm02_skylight1.tga
		blendfunc add
		rgbgen identity
	}
}

textures/sfx2/ntrl_launchpad
{
	qer_editorimage textures/sfx2/launchpad03.tga
	nopicmip
	{
		map textures/sfx2/tread.tga
		blendfunc gl_one gl_zero
		tcmod scroll 0 .7
		tcmod scale 1 2
		rgbgen identity
	}
	{
		map textures/sfx2/nlaunch.tga
		blendfunc add
		tcmod scale 1 .5
		tcmod scroll 0 2
		rgbgen wave square 0 1 0 2
		alphagen wave square 0 1 .1 2
	}
	{
		map textures/sfx2/launchpad03.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx2/nlaunch2.tga
		blendfunc add
		rgbgen wave square 0 1 0 1
		alphagen wave square 0 1 .1 1
	}
}

textures/sfx/bounce_dirt
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	nopicmip
	{
		map textures/sfx/bounce_dirt.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/flame1side
{
	qer_editorimage textures/sfx/flame1side.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc add
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/z/x/largerblock3b3_pent
{
	qer_editorimage textures/z/x/largerblock3b3_pent.tga
	{
		map textures/z/x/largerblock3b3_pent.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/z/x/pentagramfloor_red_glow.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 .5
		depthfunc equal
	}
}

